*{
   margin: 0;
   padding: 0;
   font-family: Arial, Helvetica, sans-serif;
   box-sizing: border-box; 
}
body{
    background-image: url(Images/bg1.jpg);
    background-repeat: no-repeat;
    background-size: 100% 100vh;
    height: 100%;
    width: 100%; 
}
.card{
    width: 90%;
    max-width: 400px;
    background-image: linear-gradient(to left, blue,rgb(45, 33, 75));
    color: #fff;
    margin: 130px auto 0;
    border-radius: 10px;
    padding: 40px 35px;
    text-align: center;
    box-shadow: 5px 15px 15px rgb(130, 130, 137);
}
.search{
    width: 100%;
    height: 3em;
    display: flex;
    align-items: center;
    position: relative;
    background-color: white;
    border-radius: 1.5rem;
}
.search input {
   position: absolute;
   width: 100%;
   height: 100%;
   background: transparent;
   padding-left: 35px;
   font-weight: 500;
   font-size: 1.5em;
   border: 2px solid white;
   outline: none;
   border-radius: 1.5rem;
   
}
.search input::placeholder{
    color: rgb(166, 156, 143);
}

.search .fa-location-dot{
    color: black;
    font-size: 1.3em;
    padding-left: 11px;
}

.search button{
    background-color: transparent;
    position: absolute;
    right: 10px;
    width: 10%;
    height: 100%;
    font-size: 1.3em;
    border: none;
}
.weather-icons{
    width: 150px;
    margin-top: 20px;
}
.weather h1{
    font-size: 70px;
    font-weight: 500;
}
.weather h2{
    font-size: 35px;
    font-weight: 300;
    margin-top: -15px;
}
.details{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 10px 10px;
    margin-top: 45px;
}
.columns{
    display: flex;
    align-items: center;
    text-align: left;
}
.columns img{
    width: 40px;
    margin-top: 10px;
    padding-right: 7px;
}
.p1{
    font-size: 28px;
    margin-top: 0px;
}
/* .weather{
    display: none;
} */
.invalid{
    text-align: left;
    margin: 3px 6px;
    display: none;
}


@media only screen and (max-width: 600px) {
    body {
      background-image: url(Images/bg2.jpg);

    }
  }